%define upstream_name    AnyEvent
%define upstream_version 7.17
%define filelist %{upstream_name}-%{version}-filelist
%define maketest 1

# We cannot be noarch because constants.pl is platform specific.
%global debug_package %{nil}

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Epoch:      3

Summary:    Provide framework for multiple event loops
License:    Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/~mlehmann/AnyEvent/
Source0:    http://search.cpan.org/CPAN/authors/id/M/ML/MLEHMANN/AnyEvent-%upstream_version.tar.gz

BuildRequires: perl(Canary::Stability)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
# Optional dependencies we don't want to require
%global optional_deps                  AnyEvent::AIO
%global optional_deps %{optional_deps}|Cocoa::EventLoop
%global optional_deps %{optional_deps}|EV
%global optional_deps %{optional_deps}|Event
%global optional_deps %{optional_deps}|Event::Lib
%global optional_deps %{optional_deps}|EventLoop
%global optional_deps %{optional_deps}|FLTK
%global optional_deps %{optional_deps}|Glib
%global optional_deps %{optional_deps}|IO::AIO
%global optional_deps %{optional_deps}|IO::Async::Loop
%global optional_deps %{optional_deps}|Irssi
%global optional_deps %{optional_deps}|POE
%global optional_deps %{optional_deps}|Qt
%global optional_deps %{optional_deps}|Qt::isa
%global optional_deps %{optional_deps}|Qt::slots
%global optional_deps %{optional_deps}|Tk

# Don't include optional dependencies
%global __requires_exclude ^perl[(](%{optional_deps})[)]

# Filter unversioned and bogus provides
# AnyEvent::Impl::Cocoa and AnyEvent::Impl::FLTK are filtered as the required
# underlying modules are not currently available in Fedora
%global __provides_exclude ^perl[(](AnyEvent(::Impl::(Cocoa|FLTK))?|DB)[)]$

%description
AnyEvent - provide framework for multiple event loops
Event, Glib, Tk, Perl, - various supported event loops

%package EV
Group:      Development/Perl
Summary:    Provide framework for multiple event loops - EV integration
%description EV
AnyEvent - provide framework for multiple event loops
EV event loop integration

%package Event-Lib
Group:      Development/Perl
Summary:    Provide framework for multiple event loops - Event::Lib integration
%description Event-Lib
AnyEvent - provide framework for multiple event loops
Event::Lib event loop integration

%package Tk
Group:      Development/Perl
Summary:    Provide framework for multiple event loops - Tk integration
%description Tk
AnyEvent - provide framework for multiple event loops
Tk event loop integration

%package POE
Group:      Development/Perl
Summary:    Provide framework for multiple event loops - POE integration
%description POE
AnyEvent - provide framework for multiple event loops
POE event loop integration

%package IOAsync
Group:      Development/Perl
Summary:    Provide framework for multiple event loops - IO::Async integration
%description IOAsync
AnyEvent - provide framework for multiple event loops
IO::Async event loop integration

%package Irssi
Group:      Development/Perl
Summary:    Provide framework for multiple event loops - Irssi integration
%description Irssi
AnyEvent - provide framework for multiple event loops
Irssi event loop integration

%package UV
Group:      Development/Perl
Summary:    Provide framework for multiple event loops - UV integration
%description UV
AnyEvent - provide framework for multiple event loops
UV event loop integration

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod -R u+w %{_builddir}/%{upstream_name}-%{upstream_version}

%build
grep -rsl '^#!.*perl' . |
grep -v '.bak$' |xargs --no-run-if-empty \
#%__perl -MExtUtils::MakeMaker -e 'MY->fixin(@ARGV)'
CFLAGS="$RPM_OPT_FLAGS"
PERL_CANARY_STABILITY_NOPROMPT=1 perl Makefile.PL `%{__perl} -MExtUtils::MakeMaker -e ' print qq|PREFIX=%{buildroot}%{_prefix}| if \$ExtUtils::MakeMaker::VERSION =~ /5\.9[1-6]|6\.0[0-5]/ '` INSTALLDIRS=vendor
%{__make}
%check
%{__make} test

%install
%{makeinstall} `%{__perl} -MExtUtils::MakeMaker -e ' print \$ExtUtils::MakeMaker::VERSION <= 6.05 ? qq|PREFIX=%{buildroot}%{_prefix}| : qq|DESTDIR=%{buildroot}| '`

# remove special files
find %{buildroot} -name "perllocal.pod" \
    -o -name ".packlist"                \
    -o -name "*.bs"                     \
    |xargs -i rm -f {}

# no empty directories
find %{buildroot}%{_prefix}             \
    -type d -depth                      \
    -exec rmdir {} \; 2>/dev/null

#we don't have perl-Qt anymore:
rm -f %buildroot%{perl_vendorarch}/AnyEvent/Impl/Qt.pm
rm -f %buildroot%_mandir/man3/AnyEvent::Impl::Qt*
#only for Mac:
rm -f %buildroot%{perl_vendorarch}/AnyEvent/Impl/Cocoa.pm
rm -f %buildroot%_mandir/man3/AnyEvent::Impl::Cocoa*

%files
%doc COPYING Changes META.json META.yml MYMETA.yml README eg
%{perl_vendorarch}/AE.pm
%{perl_vendorarch}/AnyEvent.pm
%dir %{perl_vendorarch}/AnyEvent
%dir %{perl_vendorarch}/AnyEvent/Impl
%{perl_vendorarch}/AnyEvent/Debug.pm
%{perl_vendorarch}/AnyEvent/DNS.pm
%{perl_vendorarch}/AnyEvent/FAQ.pod
%{perl_vendorarch}/AnyEvent/Handle.pm
%{perl_vendorarch}/AnyEvent/Log.pm
%{perl_vendorarch}/AnyEvent/Loop.pm
%{perl_vendorarch}/AnyEvent/Socket.pm
%{perl_vendorarch}/AnyEvent/Strict.pm
%{perl_vendorarch}/AnyEvent/Intro.pod
%{perl_vendorarch}/AnyEvent/TLS.pm
%{perl_vendorarch}/AnyEvent/Util.pm
%{perl_vendorarch}/AnyEvent/Util/
%{perl_vendorarch}/AnyEvent/IO.pm
%{perl_vendorarch}/AnyEvent/IO/
%{perl_vendorarch}/AnyEvent/Impl/Event.pm
%{perl_vendorarch}/AnyEvent/Impl/FLTK.pm
%{perl_vendorarch}/AnyEvent/Impl/Glib.pm
%{perl_vendorarch}/AnyEvent/Impl/Perl.pm
%{perl_vendorarch}/AnyEvent/constants.pl
%_mandir/man3/AE.3pm*
%_mandir/man3/AnyEvent.3pm*
%_mandir/man3/AnyEvent::Debug*
%_mandir/man3/AnyEvent::DNS*
%_mandir/man3/AnyEvent::FAQ*
%_mandir/man3/AnyEvent::Handle*
%_mandir/man3/AnyEvent::Socket.*
%_mandir/man3/AnyEvent::Strict.*
%_mandir/man3/AnyEvent::Util.*
%_mandir/man3/AnyEvent::Intro.*
%_mandir/man3/AnyEvent::Log.*
%_mandir/man3/AnyEvent::Loop.*
%_mandir/man3/AnyEvent::IO*
%_mandir/man3/AnyEvent::Impl::Event.*
%_mandir/man3/AnyEvent::Impl::Glib.*
%_mandir/man3/AnyEvent::Impl::FLTK.*
%_mandir/man3/AnyEvent::Impl::Perl*
%_mandir/man3/AnyEvent::TLS*

%files EV
%{perl_vendorarch}/AnyEvent/Impl/EV.pm
%_mandir/man3/AnyEvent::Impl::EV.3pm*

%files Event-Lib
%{perl_vendorarch}/AnyEvent/Impl/EventLib.pm
%_mandir/man3/AnyEvent::Impl::EventLib.3pm*

%files Tk
%{perl_vendorarch}/AnyEvent/Impl/Tk.pm
%_mandir/man3/AnyEvent::Impl::Tk*

%files POE
%{perl_vendorarch}/AnyEvent/Impl/POE.pm
%_mandir/man3/AnyEvent::Impl::POE*

%files IOAsync
%{perl_vendorarch}/AnyEvent/Impl/IOAsync.pm
%_mandir/man3/AnyEvent::Impl::IOAsync*

%files Irssi
%{perl_vendorarch}/AnyEvent/Impl/Irssi.pm
%_mandir/man3/AnyEvent::Impl::Irssi*

%files UV
%{perl_vendorarch}/AnyEvent/Impl/UV.pm
%_mandir/man3/AnyEvent::Impl::UV.3pm*

%changelog
* Sun Feb 16 2020 umeabot <umeabot> 3:7.170.0-2.mga8
+ Revision: 1533256
- Mageia 8 Mass Rebuild

* Fri Sep 20 2019 tv <tv> 3:7.170.0-1.mga8
+ Revision: 1444004
- update to 7.17
- disable prompt for questions prior to building

* Sun Jul 21 2019 tv <tv> 3:7.160.0-1.mga8
+ Revision: 1423346
- update to 7.16

* Tue Feb 26 2019 tv <tv> 3:7.150.0-1.mga7
+ Revision: 1370225
- update to 7.15

* Fri Sep 21 2018 umeabot <umeabot> 3:7.140.0-5.mga7
+ Revision: 1290283
- Mageia 7 Mass Rebuild

* Thu Aug 09 2018 tv <tv> 3:7.140.0-4.mga7
+ Revision: 1250700
- rebuild for perl-5.28

* Mon Oct 02 2017 tv <tv> 3:7.140.0-3.mga7
+ Revision: 1162806
- rebuild with fixed rpm for missing autodeps

* Tue Sep 05 2017 tv <tv> 3:7.140.0-2.mga7
+ Revision: 1151371
- rebuild with fixed perl

* Sat Jul 22 2017 shlomif <shlomif> 3:7.140.0-1.mga7
+ Revision: 1128424
- update to 7.14

* Sat Jun 18 2016 pterjan <pterjan> 3:7.120.0-3.mga6
+ Revision: 1022500
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 3:7.120.0-2.mga6
+ Revision: 956674
- Mageia 6 Mass Rebuild

* Wed Feb 10 2016 shlomif <shlomif> 3:7.120.0-1.mga6
+ Revision: 953348
- update to 7.12

* Thu Oct 15 2015 shlomif <shlomif> 3:7.110.0-3.mga6
+ Revision: 891754
- Made the package arch-specific again.
- It wasn't correct that it was noarch.

* Wed Sep 30 2015 sander85 <sander85> 3:7.110.0-2.mga6
+ Revision: 885339
- Convert to noarch package

* Fri Jul 17 2015 shlomif <shlomif> 3:7.110.0-1.mga6
+ Revision: 854899
- Sync archive
- New version 7.11

* Sat Jun 27 2015 tv <tv> 3:7.90.0-3.mga6
+ Revision: 846046
- rebuild for soname-ifed perl

* Fri Jun 26 2015 tv <tv> 3:7.90.0-2.mga6
+ Revision: 844731
- rebuild for soname-ifed perl

* Wed Jun 24 2015 shlomif <shlomif> 3:7.90.0-1.mga6
+ Revision: 842084
- New version 7.09 + Rebuild for the new perl-5.22.0

* Wed Oct 15 2014 umeabot <umeabot> 3:7.70.0-11.mga5
+ Revision: 745293
- Second Mageia 5 Mass Rebuild

* Thu Sep 25 2014 tv <tv> 3:7.70.0-10.mga5
+ Revision: 724527
- add excludes

* Tue Sep 16 2014 umeabot <umeabot> 3:7.70.0-9.mga5
+ Revision: 683475
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 3:7.70.0-8.mga5
+ Revision: 632402
- perl 5.20.0 rebuild

* Tue Jun 03 2014 jquelin <jquelin> 3:7.70.0-7.mga5
+ Revision: 632401
- perl 5.20.0 rebuild
- perl 5.20.0 rebuild

* Tue Jun 03 2014 jquelin <jquelin> 3:7.70.0-5.mga5
+ Revision: 632399
- perl 5.20.0 rebuild

* Tue Jun 03 2014 jquelin <jquelin> 3:7.70.0-4.mga5
+ Revision: 632398
- perl 5.20.0 rebuild

* Tue Jun 03 2014 jquelin <jquelin> 3:7.70.0-3.mga5
+ Revision: 632397
- perl 5.20.0 rebuild

* Tue Jun 03 2014 jquelin <jquelin> 3:7.70.0-2.mga5
+ Revision: 632140
- perl 5.20.0 rebuild

* Wed Feb 05 2014 shlomif <shlomif> 3:7.70.0-1.mga5
+ Revision: 583763
- update to 7.07

* Sat Oct 19 2013 umeabot <umeabot> 3:7.50.0-2.mga4
+ Revision: 532631
- Mageia 4 Mass Rebuild

* Wed Aug 21 2013 sander85 <sander85> 3:7.50.0-1.mga4
+ Revision: 468918
- update to 7.05

* Wed May 29 2013 jquelin <jquelin> 3:7.40.0-4.mga4
+ Revision: 430547
- perl 5.18.0 rebuild

* Wed May 29 2013 tv <tv> 3:7.40.0-3.mga4
+ Revision: 430105
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 3:7.40.0-2.mga3
+ Revision: 362929
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 3:7.40.0-1.mga3
+ Revision: 341910
- update to 7.04

* Wed Aug 29 2012 kharec <kharec> 3:7.20.0-1.mga3
+ Revision: 285086
- update to 7.02

* Fri Aug 24 2012 pterjan <pterjan> 3:7.10.0-2.mga3
+ Revision: 283451
- Rebuild for new perl

* Wed Jun 06 2012 jquelin <jquelin> 3:7.10.0-1.mga3
+ Revision: 256210
- fix list of files
- update to 7.01

* Wed May 30 2012 jquelin <jquelin> 3:6.140.0-2.mga3
+ Revision: 250265
- rebuild for perl 5.16

* Wed Feb 22 2012 kharec <kharec> 3:6.140.0-1.mga2
+ Revision: 211882
- update to 6.14

* Wed Jan 25 2012 jquelin <jquelin> 3:6.130.0-1.mga2
+ Revision: 200844
- update to 6.13

* Tue Dec 13 2011 jquelin <jquelin> 3:6.120.0-1.mga2
+ Revision: 181151
- update to 6.12

* Tue Nov 22 2011 kharec <kharec> 3:6.110.0-1.mga2
+ Revision: 170929
- update to 6.11

* Tue Oct 11 2011 takashi <takashi> 3:6.100.0-1.mga2
+ Revision: 153841
- update to 6.1

* Tue Aug 30 2011 jquelin <jquelin> 3:6.20.0-1.mga2
+ Revision: 136597
- update to 6.02

* Wed Jun 15 2011 jquelin <jquelin> 3:5.340.0-1.mga2
+ Revision: 106452
- update to 5.34

* Sat Jun 11 2011 jquelin <jquelin> 3:5.310.0-2.mga2
+ Revision: 103448
- perl 5.14

* Wed Feb 16 2011 jquelin <jquelin> 3:5.310.0-1.mga1
+ Revision: 52407
- update to 5.31

* Sat Jan 22 2011 jquelin <jquelin> 3:5.300.0-1.mga1
+ Revision: 31716
- mageia rebuild
- imported package perl-AnyEvent


* Sat Jan 01 2011 Götz Waschk <waschk@mandriva.org> 3:5.300.0-1mdv2011.0
+ Revision: 627052
- new version
- no more noarch package

* Mon Dec 06 2010 Götz Waschk <waschk@mandriva.org> 3:5.290.0-1mdv2011.0
+ Revision: 611944
- update to new version 5.29

* Thu Oct 14 2010 Götz Waschk <waschk@mandriva.org> 3:5.280.0-1mdv2011.0
+ Revision: 585582
- new version
- update file list

* Sat Jul 10 2010 Götz Waschk <waschk@mandriva.org> 3:5.271.0-1mdv2011.0
+ Revision: 550298
- update to new version 5.271

* Thu Apr 29 2010 Götz Waschk <waschk@mandriva.org> 3:5.261.0-1mdv2010.1
+ Revision: 540767
- update to new version 5.261

* Mon Apr 12 2010 Götz Waschk <waschk@mandriva.org> 3:5.260.0-1mdv2010.1
+ Revision: 533663
- update to new version 5.26

* Sat Mar 13 2010 Götz Waschk <waschk@mandriva.org> 3:5.251.0-1mdv2010.1
+ Revision: 518718
- new version
- update file list

  + Jérôme Quelin <jquelin@mandriva.org>
    - update to 5.251

* Wed Jan 06 2010 Götz Waschk <waschk@mandriva.org> 3:5.240.0-1mdv2010.1
+ Revision: 486563
- update to new version 5.24

* Mon Dec 21 2009 Götz Waschk <waschk@mandriva.org> 3:5.230.0-1mdv2010.1
+ Revision: 480555
- new version
- update file list

* Sun Dec 06 2009 Jérôme Quelin <jquelin@mandriva.org> 3:5.220.0-1mdv2010.1
+ Revision: 474073
- update to 5.22

* Sat Nov 21 2009 Jérôme Quelin <jquelin@mandriva.org> 3:5.210.0-1mdv2010.1
+ Revision: 467872
- update to 5.21

* Fri Nov 06 2009 Götz Waschk <waschk@mandriva.org> 3:5.202.0-1mdv2010.1
+ Revision: 460761
- update to new version 5.202

* Wed Sep 30 2009 Jérôme Quelin <jquelin@mandriva.org> 3:5.201.0-1mdv2010.0
+ Revision: 451157
- update to 5.201

* Tue Sep 15 2009 Jérôme Quelin <jquelin@mandriva.org> 3:5.200.0-1mdv2010.0
+ Revision: 442658
- update to 5.2

* Wed Sep 02 2009 Götz Waschk <waschk@mandriva.org> 3:5.120.0-1mdv2010.0
+ Revision: 424326
- update to new version 5.12
- disable Qt binding

* Sun Aug 23 2009 Götz Waschk <waschk@mandriva.org> 3:5.112.0-1mdv2010.0
+ Revision: 419889
- update to new version 5.112

* Thu Aug 20 2009 Götz Waschk <waschk@mandriva.org> 3:5.111.0-1mdv2010.0
+ Revision: 418523
- new version
- update file list

* Wed Jul 29 2009 Götz Waschk <waschk@mandriva.org> 3:4.881.0-1mdv2010.0
+ Revision: 402938
- new version
- add Irssi implementation

* Fri Jul 24 2009 Götz Waschk <waschk@mandriva.org> 3:4.860.0-2mdv2010.0
+ Revision: 399183
- rebuild for missing packages

* Thu Jul 23 2009 Götz Waschk <waschk@mandriva.org> 3:4.860.0-1mdv2010.0
+ Revision: 398777
- new version

* Sun Jul 19 2009 Götz Waschk <waschk@mandriva.org> 3:4.850.0-1mdv2010.0
+ Revision: 397467
- new version

* Sun Jul 12 2009 Götz Waschk <waschk@mandriva.org> 3:4.820.0-1mdv2010.0
+ Revision: 395093
- new version

* Fri Jul 10 2009 Götz Waschk <waschk@mandriva.org> 3:4.810.0-1mdv2010.0
+ Revision: 394167
- new version

* Wed Jul 08 2009 Götz Waschk <waschk@mandriva.org> 3:4.800.0-1mdv2010.0
+ Revision: 393443
- new version
- update file list

* Sun Jul 05 2009 Götz Waschk <waschk@mandriva.org> 3:4.451.0-1mdv2010.0
+ Revision: 392602
- update to new version 4.451

* Wed Jul 01 2009 Götz Waschk <waschk@mandriva.org> 3:4.450.0-1mdv2010.0
+ Revision: 391166
- new version

* Mon Jun 29 2009 Götz Waschk <waschk@mandriva.org> 3:4.420.0-1mdv2010.0
+ Revision: 390460
- new version
- add IO::Async wrapper

* Mon Jun 08 2009 Götz Waschk <waschk@mandriva.org> 3:4.411.0-1mdv2010.0
+ Revision: 384004
- update to new version 4.411
- use the right version macro

* Mon May 18 2009 Götz Waschk <waschk@mandriva.org> 3:4.410.0-1mdv2010.0
+ Revision: 376914
- new version
- remove the macro definition again

* Fri May 08 2009 Götz Waschk <waschk@mandriva.org> 3:4.400.0-1mdv2010.0
+ Revision: 373387
- add definition of perl_convert_version
- new version
- use perl version macro

* Fri Apr 24 2009 Götz Waschk <waschk@mandriva.org> 3:4.35-1mdv2010.0
+ Revision: 368986
- new version

* Thu Feb 19 2009 Götz Waschk <waschk@mandriva.org> 3:4.34-1mdv2009.1
+ Revision: 342890
- new version

* Tue Jan 13 2009 Götz Waschk <waschk@mandriva.org> 2:4.331-1mdv2009.1
+ Revision: 328930
- update to new version 4.331

* Fri Nov 28 2008 Götz Waschk <waschk@mandriva.org> 2:4.33-1mdv2009.1
+ Revision: 307389
- update to new version 4.33

* Wed Nov 12 2008 Götz Waschk <waschk@mandriva.org> 2:4.32-1mdv2009.1
+ Revision: 302428
- update to new version 4.32

* Mon Nov 03 2008 Götz Waschk <waschk@mandriva.org> 2:4.31-1mdv2009.1
+ Revision: 299373
- new version
- fix URL
- reenable Qt binding

* Thu Aug 14 2008 Götz Waschk <waschk@mandriva.org> 1:4.231-1mdv2009.0
+ Revision: 271727
- new version
- update file list

* Wed Jul 09 2008 Götz Waschk <waschk@mandriva.org> 1:4.151-2mdv2009.0
+ Revision: 232915
- drop perl-AnyEvent-Qt

* Tue Jun 10 2008 Götz Waschk <waschk@mandriva.org> 1:4.151-1mdv2009.0
+ Revision: 217358
- new version
- update file list

* Wed May 28 2008 Götz Waschk <waschk@mandriva.org> 1:4.05-1mdv2009.0
+ Revision: 212545
- new version
- drop Coro package
- add subpackages for Event-Lib, Qt and POE

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 28 2007 Götz Waschk <waschk@mandriva.org> 1:2.8-2mdv2008.1
+ Revision: 113642
- drop perl-AnyEvent-Coro-EV

* Mon Nov 26 2007 Götz Waschk <waschk@mandriva.org> 1:2.8-1mdv2008.1
+ Revision: 112049
- new version
- add new modules

* Sat Oct 27 2007 Götz Waschk <waschk@mandriva.org> 2.54-1mdv2008.1
+ Revision: 102572
- new version
- update URL
- update file list


* Fri Oct 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.02-2mdv2007.0
+ Revision: 73171
- import perl-AnyEvent-1.02-2mdv2007.0

* Fri Jul 21 2006 Götz Waschk <waschk@mandriva.org> 1.02-1mdv2007.0
- Rebuild

* Tue Apr 04 2006 Götz Waschk <waschk@mandriva.org> 1.02-1mdk
- initial package

